[arch-commits] Commit in fuse/repos (3 files)

Ronald van Haren ronald at archlinux.org
Tue Jun 23 19:01:09 EDT 2009


    Date: Tuesday, June 23, 2009 @ 19:01:07
  Author: ronald
Revision: 43439

Merged revisions 43438 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/fuse/trunk

........
  r43438 | ronald | 2009-06-24 01:00:29 +0200 (Wed, 24 Jun 2009) | 2 lines
  
  upgpkg: fuse 2.7.4-2
      add sample /etc/fuse.conf file: FS#7767
........

Added:
  fuse/repos/extra-x86_64/fuse.conf
    (from rev 43438, fuse/trunk/fuse.conf)
Modified:
  fuse/repos/extra-x86_64/	(properties)
  fuse/repos/extra-x86_64/PKGBUILD

-----------+
 PKGBUILD  |   37 +++++++++++++++++++++----------------
 fuse.conf |    9 +++++++++
 2 files changed, 30 insertions(+), 16 deletions(-)


Property changes on: fuse/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /fuse/trunk:1-15849
   + /fuse/trunk:1-43438

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-06-23 23:00:29 UTC (rev 43438)
+++ extra-x86_64/PKGBUILD	2009-06-23 23:01:07 UTC (rev 43439)
@@ -4,40 +4,45 @@
 
 pkgname=fuse
 pkgver=2.7.4
-pkgrel=1
+pkgrel=2
 pkgdesc="A library that makes it possible to implement a filesystem in a userspace program."
 arch=('i686' 'x86_64')
 url="http://fuse.sourceforge.net/"
 license="GPL2"
 depends=('glibc')
 makedepends=('pkgconfig')
+backup=('etc/fuse.conf' 'etc/udev/rules.d/99-fuse.rules')
 install=fuse.install
-source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz)
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+	'fuse.conf')
 options=(!libtool)
-md5sums=('4879f06570d2225667534c37fea04213')
+md5sums=('4879f06570d2225667534c37fea04213'
+         'c9457cf5b2196da67d5ac816d1c86a4f')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --disable-kernel-module --enable-lib \
               --enable-util --bindir=/bin
   make || return 1
-  make DESTDIR=$pkgdir install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 
   # static device nodes will cause collision.
-  rm -rf $startdir/pkg/dev
+  rm -rf ${pkgdir}/dev
  
   # Remove init script in wrong path
   # Don't add our own for now, as fusectl fs oopses on 2.6.18
-  rm -rf $startdir/pkg/etc/init.d
-  #install -D -m755 $startdir/src/fuse.rc.d $startdir/pkg/etc/rc.d/fuse
+  rm -rf ${pkgdir}/etc/init.d
+  #install -D -m755 ${srcdir}/fuse.rc.d ${pkgdir}/etc/rc.d/fuse
 
-  install -d $pkgdir/lib
-  mv $pkgdir/usr/lib/libfuse.so.${pkgver} $pkgdir/lib/ || return 1
-  ln -s ../../lib/libfuse.so.${pkgver} $pkgdir/usr/lib/libfuse.so.${pkgver} || return 1
-  ln -s libfuse.so.${pkgver} $pkgdir/lib/libfuse.so.2 || return 1
-  mv $pkgdir/usr/lib/libulockmgr.so.1.0.1 $pkgdir/lib/ || return 1
-  ln -s ../../lib/libulockmgr.so.1.0.1 $pkgdir/usr/lib/libulockmgr.so.1.0.1 || return 1
-  ln -s libulockmgr.so.1.0.1 $pkgdir/lib/libulockmgr.so.1 || return 1
+  install -d ${pkgdir}/lib
+  mv ${pkgdir}/usr/lib/libfuse.so.${pkgver} ${pkgdir}/lib/ || return 1
+  ln -s ../../lib/libfuse.so.${pkgver} ${pkgdir}/usr/lib/libfuse.so.${pkgver} || return 1
+  ln -s libfuse.so.${pkgver} ${pkgdir}/lib/libfuse.so.2 || return 1
+  mv ${pkgdir}/usr/lib/libulockmgr.so.1.0.1 ${pkgdir}/lib/ || return 1
+  ln -s ../../lib/libulockmgr.so.1.0.1 ${pkgdir}/usr/lib/libulockmgr.so.1.0.1 || return 1
+  ln -s libulockmgr.so.1.0.1 ${pkgdir}/lib/libulockmgr.so.1 || return 1
+
+  # install sample config file
+  install -Dm644 ${srcdir}/fuse.conf ${pkgdir}/etc/fuse.conf
 }
 
-

Copied: fuse/repos/extra-x86_64/fuse.conf (from rev 43438, fuse/trunk/fuse.conf)
===================================================================
--- extra-x86_64/fuse.conf	                        (rev 0)
+++ extra-x86_64/fuse.conf	2009-06-23 23:01:07 UTC (rev 43439)
@@ -0,0 +1,9 @@
+# Set the maximum number of FUSE mounts allowed to non-root users.
+# The default is 1000.
+#
+#mount_max = 1000
+
+# Allow non-root users to specify the 'allow_other' or 'allow_root'
+# mount options.
+#
+#user_allow_other



More information about the arch-commits mailing list